Как понизить версию proguard в градиенте студии Android?

Я пытаюсь создать приложение для Android, используя scala и android studio. Сбой компиляции в proguard с исключением:

Error:java.lang.ArrayIndexOutOfBoundsException: 4 at proguard.classfile.editor.InterfaceDeleter.visitSignatureAttribute(InterfaceDeleter.java:162) at proguard.classfile.attribute.SignatureAttribute.accept(SignatureAttribute.java:97) 

Я нашел в другом месте ( http://sourceforge.net/p/proguard/bugs/549/ ), что эта проблема вызвана ошибкой в ​​scala, но это происходит только в proguard 5.1, а не в proguard 5.0.

Теперь мой вопрос: как я могу настроить студию Android так, чтобы она использовала proguard 5.0?

Найди его!

Хитрость заключается в том, чтобы исключить proguard 5.1 в файл сборки toplevel и вместо этого добавить зависимость от 5.0.

Вот мой файл сборки toplevel:

 // Top-level build file where you can add configuration options common to all sub-projects/modules. buildscript { repositories { mavenCentral() } dependencies { classpath ('com.android.tools.build:gradle:1.0.0') { exclude module: 'proguard-gradle' } classpath "jp.leafytree.gradle:gradle-android-scala-plugin:1.3.1" classpath ('net.sf.proguard:proguard-gradle:5.0') { force = true } } } allprojects { repositories { jcenter() } }